# Log Package List - ListUMongoDBLogPackage

## Overview

Log Packaging List






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `ListUMongoDBLogPackage`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.dezai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [Region and Availability Zone List](/docs/api/summary/regionlist) |**Yes**|
| **Zone** | string | Availability Zone. See [Availability Zone List](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **ClusterId** | string | Cluster ID |**Yes**|
| **NodeId** | string | Node ID |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **DataSet** | array[[*PackageInfo*](#packageinfo)] | List |**Yes**|

#### Data Model


#### PackageInfo

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Id** | int | The translation for 'id' in English remains 'id'. |No|
| **Name** | string | Name |No|
| **State** | string | Package_Running,Package_Success,Package_Failed,Package_Deleting,Package_Deleted,Package_DeleteFailed |No|
| **Size** | int | Size, unit in bytes |No|
| **PackageType** | string | SlowLog,ErrorLog |No|
| **ClusterId** | string | Cluster ID |No|
| **NodeId** | string | Node id |No|
| **Role** | string | Role |No|
| **Begin** | int | Start Time |No|
| **End** | int | End Time |No|
| **CreateTime** | int | Creation Time |No|
| **FinishTime** | int | Completion Time |No|

## Example

### Request Example
    
```
https://api.dezai.com/?Action=ListUMongoDBLogPackage
&Region=cn-zj
&Zone=cn-zj-01
&ProjectId=cCrrDBep
&ClusterId=afqpXrft
&NodeId=zLejAepe
```

### Response Example
    
```json
{
  "Action": "ListUMongoDBLogPackageResponse",
  "DataSet": [
    {
      "Begin": 5,
      "ClusterId": "uzRxRBKy",
      "CreateTime": 5,
      "End": 1,
      "FinishTime": 1,
      "Id": 6,
      "Name": "lplwcWTx",
      "NodeId": "JnetkalK",
      "PackageType": "TaRJoULs",
      "Size": 2,
      "State": "kkpjvQUt"
    }
  ],
  "RetCode": 0
}
```





